#pragma once
#include "afxwin.h"


// CDevCtrlDlg 对话框

class CDevCtrlDlg : public CDialog
{
	DECLARE_DYNAMIC(CDevCtrlDlg)

public:
	CDevCtrlDlg(CRect rcWnd, CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDevCtrlDlg();

// 对话框数据
	enum { IDD = IDD_DLG_DEVCTRL };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()

private:
	CRect m_rcClient;
protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
public:
	virtual BOOL OnInitDialog();
public:
	CStatic m_ctlGroup;
public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
public:
	CComboBox m_ctlPanSpeed;
public:
	CComboBox m_ctlTiltSpeed;
public:
	CComboBox m_ctlPresetNum;
public:
	afx_msg void OnBnClickedBtnPresetSet();
public:
	afx_msg void OnBnClickedBtnPresetCall();
public:
	afx_msg void OnBnClickedBtnPresetDel();
public:
	afx_msg void OnBnClickedBtnOtherCall();
public:
	CComboBox m_ctlOtherFunc;
};
